<?php
define( 'WP_SHOP_EXIMP_DIR',dirname(__FILE__));
define( 'WP_SHOP_EXIMP_URL', WP_PLUGIN_URL.str_replace(WP_PLUGIN_DIR, '', WP_SHOP_EXIMP_DIR) );

require_once WP_SHOP_EXIMP_DIR.'/template.php';
require_once WP_SHOP_EXIMP_DIR.'/general.php';

class wpshopExImp
{
	function __construct()
	{
		add_action('init', array(&$this,'WPInit'));
		add_action('admin_menu', array(&$this,'jQueryLibs'));		
		// TO DO необходимо поставить условие для отображения только в админке.
		if (strpos($_SERVER['QUERY_STRING'],"wp-shop.php") === false)
		{
		
		}
		else
		{
			wp_enqueue_style('wp-shop_style',"/wp-content/plugins/wp-shop/eximp/eximp.css");			
		}
	}
	
	function jQueryLibs()
	{
		wp_enqueue_script('jquery');
		wp_enqueue_script('jquery-ui-core');
		wp_enqueue_script('jquery-ui-sortable');
		wp_enqueue_script('wp-shop_eximp.js',WP_SHOP_EXIMP_URL . "/eximp.js");
	}
	
	function WPInit()
	{
		if (isset($_POST['submit_wpshop_export']) )
		{
			$this->ExportXML();
			exit();
		}	
	}

	function ExportXML()
	{
		global $wpdb;
		
		header('Content-Description: File Transfer');
		header('Content-Disposition: attachment; filename="'.$_SERVER['HTTP_HOST'].'.xml"');
		header('Content-Type: text/xml; charset=utf-8');

		while(@ob_get_clean());
		
		print "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n".
			"<posts>\n\n";

		if ( isset($_POST['posts_fields']) )
		{
			foreach($_POST['posts_fields'] as $field)
			{
				
			}		
		}	

		$result = array('ID' => array(0));		
			
		$sql = "SELECT ID";
		if ( isset($_POST['posts_fields']) )
		{
			$posts_fields = $_POST['posts_fields'];
			foreach ($posts_fields as $key=>$field)
			{
				if ($field == 0)
				{
					$sql .= ", `$key`";
				}
				$result[$key] = array($field);
			}
		}

		$sql .= " FROM $wpdb->posts WHERE post_type <> 'revision' AND post_type <> 'draft' AND post_type <> 'inherit'";
	
		$posts = $wpdb->get_results($sql);
		
		foreach ($posts as $post)
		{
			foreach ($post as $key => $value)
			{
				$result[$key][] = $value;
			}
		}
		
		foreach($result as $field =>$key)
		{
			if ($key[0] == 1)
			{
				foreach($result['ID'] as $r)
				{
					if ($r != 0)
					{
						$result[$field][] = $field;
					}
				}
			}
		}
		
		foreach($result['ID'] as $key =>$value)
		{		
			echo "<post>";
			if (isset($_POST['include_cat']) && $_POST['include_cat']==1)
			{
				$categories = wp_get_post_categories($result['ID'][$key]);
				echo "\t<category>";
				echo get_cat_name(current($categories));
				echo "</category>\n";
			}
			if (isset($_POST['include_tag']) && $_POST['include_tag']==1)
			{
				$tags = wp_get_post_tags($result['ID'][$key]);
				
				echo "\t<tag>";
				echo current($tags)->name;
				echo "</tag>\n";
			}			
			foreach($result as $q => $w)
			{
				if ($result[$q][0] ==1)
				{
					$z = get_post_meta($result['ID'][$key], $q, true);
				}
				else
				{
					$z = $result[$q][$key];
				}
				
				echo "\t<$q><![CDATA[$z]]></$q>\n";
				
			}
			echo "</post>\r";
		}
		print "</posts>\n";
	}
	
	function AdminForm()
	{
     	if ( isset($_POST['submit_wpshop_import']) && is_uploaded_file($_FILES['import']['tmp_name']) )
		{
			$this->ImportXML($_FILES['import']['tmp_name']);
		}

		global $wpdb;
		
		$posts_columns = $wpdb->get_results("SHOW COLUMNS FROM $wpdb->posts");
		foreach ($posts_columns as $col)
		{
			switch ($col->Field)
			{
				case 'ID':
					break;
				default:
					$form['posts_fields'] .= '<dt onClick = "ImpExpAddField(\'' .$col->Field .'\',0)" >'.$col->Field.'</dt>';
			}
		}

		$meta_keys = $wpdb->get_results(
			"SELECT meta_key FROM $wpdb->postmeta
			GROUP BY meta_key ORDER BY meta_key");

		foreach ($meta_keys as $key)
		{
			if (strpos($key->meta_key, "goods_id") === FALSE)
			{
				$form['meta_keys'] .= '<dt onClick = "ImpExpAddField(\'' .$key->meta_key .'\',1)">'.$key->meta_key.'</dt>';
			}
		}
		
		$form['action'] = str_replace('%7E', '~', "//{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}");
		$form['link_to_yml'] = get_option('siteurl') . "/?wpshop_yml";
		print ftemplate(WP_SHOP_EXIMP_DIR.'/eximp_form.tpl.html', $form);	
	}
	
	function ImportXML($filename)
	{
		global $wpdb;
		$f1 = current(wp_upload_dir()) . "/" . basename($filename);
    
		copy($filename,$f1);
		$fp = fopen($f1, 'r');
		
		$doing_entry = false;
		$posts = array();
		if ($fp)
		{
			while ( !feof($fp) )
			{
				$importline = rtrim(fgets($fp));
				if ( false !== strpos($importline, '<post>') )
				{
					$post = '';
					$doing_entry = true;
					continue;
				}
				if ( false !== strpos($importline, '</post>') )
				{
					$doing_entry = false;
					$posts[] = $post;
					continue;
				}
				if ( $doing_entry )
				{
					$post .= $importline . "\n";
				}
			}
			fclose($fp);
		}
		$posts_columns = $wpdb->get_results("SHOW COLUMNS FROM {$wpdb->posts}");
		$updated = 0;
		foreach($posts as $value)
		{
			$data = array();
			$post = array();
			if (preg_match_all('|<(.+?)><!\[CDATA\[(.*?)\]\]></.+?>|s', $value, $m1) ||
				preg_match_all('|<(.+?)>(.*?)</.+?>|s', $value, $m1) )
			{				
				foreach ($m1[1] as $n => $key)
				{
					if ($key == "category") continue;
					if ($key == "tag") continue;					
					$data[$key] = html_entity_decode($m1[2][$n]);
					flush();
				}
			}
			reset($posts_columns);
			foreach ($posts_columns as $col)
			{
				if ( isset($data[$col->Field]) )
				{
					if ($col->Field == "ID")
					{
						$ID	= $data[$col->Field];
					}
					else
					{
						$post[$col->Field] = "{$col->Field} = '{$data[$col->Field]}'";						
					}
					unset($data[$col->Field]);
					flush();							
				}
			}	

			if (count($post)>0)
			{
				$wpdb->query("UPDATE {$wpdb->posts} SET ".implode(',',$post)." WHERE ID = {$ID}");
			}
			unset($post);
			
			if (count($data))
			{
				foreach ($data as $key => $value)
				{
					if ( !update_post_meta($ID, $key, $value) )
					{
						add_post_meta($ID, $key, $value);
					}
				}
			}		
			unset($data);
			$updated++;
			echo "{$updated}. {$ID} - updated<br>";
			flush();
		}
	}
};

$wpshop_ei = new wpshopExImp();
?>