<?php	// Функции общего назначения	v0.2.1
if (!defined('GENERAL_PHP')) : define ('GENERAL_PHP', '0.2.1');


/*---------------------------------------------------------------------------
	Вывод массива или объекта в читаемом виде
	v0.1.0
	string print_pre ( mixed variable )
*/
if (!function_exists('print_pre')) {
function print_pre($var)
{
	print '<pre>';
	print_r($var);
	print '</pre>';
} }


/*---------------------------------------------------------------------------
	Вывод JavaScript
	v0.2.0
	string js ( string script [, bool echo] )
*/
if (!function_exists('js')) {
function js($script, $echo = true)
{
	$s =
		'<script type="text/javascript">//<!--'	."\n".
		$script	."\n".
		'//--></script>'	."\n";

	if ($echo)
		echo $s;
	else
		return $s;
} }


/*---------------------------------------------------------------------------
	Защита данных, полученных из $_POST, $_GET и т.п.
	v0.1.0
	protect ( mixed variable )
*/
if (!function_exists('protect')) {
function protect($a)
{
	if (is_array($a))
		while (list($k, $v) = each($a))
			$a[$k] = protect($v);
	else
		$a =
			str_replace('%amp;', '&',
			htmlspecialchars(
			str_replace('&', '%amp;',
			stripslashes($a
			))));

	return $a;
} }


/*---------------------------------------------------------------------------
	Установить значение Cookie
	v0.2.0
	string setcoo ( string name [, string value [, int expire [, string path]]] )
*/
if (!function_exists('setcoo')) {
function setcoo($name, $value = NULL, $expire = 0, $path = '/')
{
	return setcookie($name, $_COOKIE[$name] = $value, $expire, $path);
} }


/*---------------------------------------------------------------------------
	Получить значение Cookie
	v0.1.0
	string getcoo ( string name )
*/
if (!function_exists('getcoo')) {
function getcoo($name)
{
	return $_COOKIE[$name];
} }


/*---------------------------------------------------------------------------
	Форматирование цен
	v0.1.0
	string cost ( float value [, string "руб." [, string "коп."]] )
*/
if (!function_exists('cost')) {
function cost($val, $r='руб.', $c='коп.')
{
	list($v1, $v2) = sscanf(sprintf('%.2f', str_replace(',', '.', $val)), '%d.%d');
	return ($v1 >= 10000 ? ltrim(strrev(chunk_split(strrev($v1), 3,';psbn&')), '&nbsp;') : $v1).'&nbsp;'.$r.($v2 ? '&nbsp;'.sprintf('%02d', $v2).'&nbsp;'.$c : '');
} }


/*---------------------------------------------------------------------------
	Преобразование даты/времени в формате "Y-m-d H:i:s" в Unix Timestamp
	v0.1.0
	string mysql_datetime ( string datetime )
*/
if (!function_exists('mysql_datetime')) {
function mysql_datetime($t)
{
	list($year, $mon, $day, $hour, $min, $sec) = sscanf($t, '%d-%d-%d %d:%d:%d');
	return mktime($hour, $min, $sec, $mon, $day, $year);
} }


/*---------------------------------------------------------------------------
	Транслитерация
	v0.2.0
	string translit ( string text, string table )
*/
if (!function_exists('translit')) {
function translit($text, $table = 'beeline')
{
	$t['beeline'] = array(
		'А'=>'A',  'Б'=>'B', 'В'=>'V',  'Г'=>'G',  'Д'=>'D',  'Е'=>'E',  'Ё'=>'Yo',
		'Ж'=>'Zh', 'З'=>'Z', 'И'=>'I',  'Й'=>'J',  'К'=>'K',  'Л'=>'L',  'М'=>'M',
		'Н'=>'N',  'О'=>'O', 'П'=>'P',  'Р'=>'R',  'С'=>'S',  'Т'=>'T',  'У'=>'U',
		'Ф'=>'F',  'Х'=>'H', 'Ц'=>'Ts', 'Ч'=>'Ch', 'Ш'=>'Sh', 'Щ'=>'Sch',
		'Ъ'=>"'",  'Ы'=>'Y', 'Ь'=>"'",  'Э'=>'E',  'Ю'=>'Yu', 'Я'=>'Ya',
		'а'=>'a',  'б'=>'b', 'в'=>'v',  'г'=>'g',  'д'=>'d',  'е'=>'e',  'ё'=>'yo',
		'ж'=>'zh', 'з'=>'z', 'и'=>'i',  'й'=>'j',  'к'=>'k',  'л'=>'l',  'м'=>'m',
		'н'=>'n',  'о'=>'o', 'п'=>'p',  'р'=>'r',  'с'=>'s',  'т'=>'t',  'у'=>'u',
		'ф'=>'f',  'х'=>'h', 'ц'=>'ts', 'ч'=>'ch', 'ш'=>'sh', 'щ'=>'sch',
		'ъ'=>"'",  'ы'=>'y', 'ь'=>"'",  'э'=>'e',  'ю'=>'yu', 'я'=>'ya'
	);
	$t['gost'] = array(
		'А'=>'A',  'Б'=>'B',  'В'=>'V',  'Г'=>'G',  'Д'=>'D',  'Е'=>'E',  'Ё'=>'Jo',
		'Ж'=>'Zh', 'З'=>'Z',  'И'=>'I',  'Й'=>'Jj', 'К'=>'K',  'Л'=>'L',  'М'=>'M',
		'Н'=>'N',  'О'=>'O',  'П'=>'P',  'Р'=>'R',  'С'=>'S',  'Т'=>'T',  'У'=>'U',
		'Ф'=>'F',  'Х'=>'Kh', 'Ц'=>'C',  'Ч'=>'Ch', 'Ш'=>'Sh', 'Щ'=>'Shh',
		'Ъ'=>"''", 'Ы'=>'Y',  'Ь'=>"'",  'Э'=>'Eh', 'Ю'=>'Yu', 'Я'=>'Ya',
		'а'=>'a',  'б'=>'b',  'в'=>'v',  'г'=>'g',  'д'=>'d',  'е'=>'e',  'ё'=>'jo',
		'ж'=>'zh', 'з'=>'z',  'и'=>'i',  'й'=>'jj', 'к'=>'k',  'л'=>'l',  'м'=>'m',
		'н'=>'n',  'о'=>'o',  'п'=>'p',  'р'=>'r',  'с'=>'s',  'т'=>'t',  'у'=>'u',
		'ф'=>'f',  'х'=>'kh', 'ц'=>'c',  'ч'=>'ch', 'ш'=>'sh', 'щ'=>'shh',
		'ъ'=>"''", 'ы'=>'y',  'ь'=>"'",  'э'=>'eh', 'ю'=>'yu', 'я'=>'ya'
	);
	return strtr($text, $t[$table]);
} }


/*	(c) Олег Сейфетдинов, 2009	*/
endif; ?>