<?php
/*
 Plugin Name: WP-Shop
 Plugin URI: http://www.wp-shop.ru
 Description: Интернет-магазин для WordPress.
 Author: www.wp-shop.ru
 Version: 3.2.2
 Author URI: http://www.wp-shop.ru
 */


define( 'WPSHOP_EMAIL',	get_option('admin_email') );
define( 'CURR_BEFORE',	'&nbsp;' );
define( 'CURR',			__('руб.') );// Валюта
define( 'CURR_AFTER',	'' );
define( 'CART_ID',		'wpshop_cart' );
define( 'MINICART_ID',	'wpshop_minicart' );
define( 'CART_TAG',		'[cart]' );
define( 'MINICART_TAG',	'[minicart]' );
define( 'SPL', '}{' );
define( 'WPSHOP_DIR', WP_PLUGIN_DIR.'/'.str_replace('/'.basename(__FILE__), '', plugin_basename(__FILE__)) );
define( 'WPSHOP_URL', WP_PLUGIN_URL.str_replace(WP_PLUGIN_DIR, '', WPSHOP_DIR) );
//define('WPSHOP_DIR',str_replace('/'.basename(__FILE__),'',__FILE__));echo plugins_url(__FILE__);exit;define( 'WPSHOP_URL',WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)) );echo __FILE__;echo basename( __FILE__);echo plugin_basename(__FILE__);exit;
//define( 'WPSHOP_DIR', WP_PLUGIN_DIR.'/'.str_replace('/'.basename(__FILE__), '', plugin_basename(__FILE__)) );
//echo WP_PLUGIN_DIR;echo "forever";echo plugin_basename(__FILE__);//define( 'WPSHOP_URL', WP_PLUGIN_URL.str_replace(WP_PLUGIN_DIR, '', WPSHOP_DIR) );define( 'WPSHOP_URL', "/wp-content/plugins/wp-shop/" );
//echo plugin_basename(__FILE__);
include "eximp/eximp.php";

include WPSHOP_DIR.'/general.php';
include WPSHOP_DIR.'/template.php';


$_datasenttocforms = false;

class shopEntry
{
	var $cost;
	var $name;
	var $available;
	var $goodsid;
};

function wpshop_general()
{
	add_filter('widget_text',	'wpshop_widget');
	function wpshop_widget($content)
	{
		$minicart = '<div id="'.MINICART_ID.'">' . __('You need activate support of JavaScript and Cookies in your browser.') . '</div>';
		return str_replace(MINICART_TAG, $minicart, $content);
	}

	function wpshop_goods()
	{
		$goods['count'] =	getcoo('wpshop_order_count');
		$goods['id'] =		explode(SPL, getcoo('wpshop_order_id'));
		$goods['key'] =		explode(SPL, getcoo('wpshop_order_key'));
		$goods['name'] =	explode(SPL, getcoo('wpshop_order_name'));
		$goods['href'] =	explode(SPL, getcoo('wpshop_order_href'));
		$goods['cost'] =	explode(SPL, getcoo('wpshop_order_cost'));
		$goods['num'] =		explode(SPL, getcoo('wpshop_order_num'));
		return $goods;
	}

function wpshop_order()
{
$order_num = sprintf('%04d', get_option('wpshop_order_num'));

$goods = wpshop_goods();

$items = ''; $total = 0;
for ($i = 0; $i < $goods['count']; $i++)
{
$items .= ftemplate(WPSHOP_TPL_DIR.'/order_item.tpl', array(
				'name' =>	$goods['name'][$i],
				'href' =>	$goods['href'][$i],
				'type' =>	$goods['key'][$i],
				'cost' =>	$goods['cost'][$i],
				'num' =>	$goods['num'][$i],
				'total' =>	$t = $goods['cost'][$i] * $goods['num'][$i]
));
$total += $t;
}
return ftemplate(WPSHOP_TPL_DIR.'/order.tpl', array(
			'number' =>	$order_num,
			'items' =>	$items,
			'total' =>	$total
));
}
class WpShop
{
	/**
	 * @var integer
	 */
	private $_showCost;
	/**
	 * Link for prodovator. Prodovator is separate machine.
	 * @var string
	 */
	private $_linkfor;

	/**
	 * Css style file using administator of site.
	 * @var string
	 */
	private $_css;

	/**
	 * Name of cforms form for static sending datas. cforms is separate machine.
	 * @var string
	 */
	private $_cform;

	/**
	 * Show or hide varieties (types) of goods.
	 * @var boolean
	 */
	private $_show_variety;

	/**
	 * Position of wpshop block (top or down).
	 * @var string
	 */
	private $_position;

	/**
	 * Default columns will be visible in wpshop block.
	 * @var array
	 */
	private $_defaultWidgetColumns = array('name'=>true,'cost'=>true,'add'=>true);

	/**
	 * Constructor.
	 */
	public function __construct()
	{
		add_action('init', array(&$this,'wpInitHook'));

		if (($this->_linkfor = get_option('wpshop-linkfor')) == false)
		{
			add_option("wpshop-linkfor","");
			$this->_linkfor = "";
		}
		if (($this->_css = get_option('wp-shop_cssfile')) == false)
		{
			add_option("wp-shop_cssfile","default.css");
			$this->_css = get_option('wp-shop_cssfile');
		}
		if (($this->_cform = get_option('wp-shop_cform')) == false)
		{
			add_option("wp-shop_cform","");
			$this->_cform = get_option('wp-shop_cform');
		}
		if (($this->_show_variety = get_option('wp-shop_show-variety')) == false)
		{
			add_option("wp-shop_show-variety","0");
			$this->_show_variety = get_option('wp-shop_show-variety');
		}

		if (($this->_position = get_option('wp-shop_position')) == false)
		{
			add_option("wp-shop_show-variety","top");
			$this->_position = get_option('wp-shop_position');
		}
		
		if (($this->_showCost = get_option('wp-shop_show-cost')) === false)
		{
			add_option("wp-shop_show-cost",1);
			$this->_showCost = get_option('wp-shop_show-cost');
		}

		add_filter('the_content', array(&$this,'PriceList1'));
		add_filter('the_content', array(&$this,'PriceInfo1'));
		add_filter('the_content', array(&$this,'Vitrina'));
		add_filter('the_content', array(&$this,'goodPostHook'));
		add_filter('the_content', array(&$this,'AutoChanging'),15);
		add_filter('the_content', array(&$this,'propertyHook'));

		function wpshop_tinymce_add_button($head)
		{
			if (preg_match('~post(-new)?.php~',$_SERVER['REQUEST_URI']))
			{
				wp_print_scripts( 'quicktags' );
				echo "<script type=\"text/javascript\">"."\n";
				echo "/* <![CDATA[ */"."\n";
				echo "edButtons[edButtons.length] = new edButton"."\n";
				echo "\t('ed_vitrina',"."\n";
				echo "\t'vitrina'"."\n";
				echo "\t,'<!--vitrina tag_name 3 500 2 150-->'"."\n";

				echo "\t,''"."\n";
				echo "\t,'n'"."\n";
				echo "\t);"."\n";
				echo "/* ]]> */"."\n";
				echo "</script>"."\n";
			}
		}

if (function_exists('add_filter')) {
add_action('admin_head', 'wpshop_tinymce_add_button');
}

function wp_shop_footer()
{
if (is_front_page())
{
$content = '<a title="интернет-магазин для WordPress" href="http://www.wp-shop.ru"></a>';
echo $content;
}
}
add_action('wp_footer', 'wp_shop_footer');

register_activation_hook(__FILE__, array(&$this,"wpshop_install"));
add_action('wp_head', array(&$this,"wpshop_cart"));
//add_action('admin_head', array(&$this,"wpshop_cart"));
wp_enqueue_style('wp-shop_style',"/wp-content/plugins/wp-shop/styles/{$this->_css}");
wp_enqueue_style('wp-shop_style_main',"/wp-content/plugins/wp-shop/wp-shop.css");
wp_enqueue_script('jquery');
wp_enqueue_script('wp-shop_general.js',WPSHOP_URL . "/general.js");
wp_enqueue_script('wp-shop_wp-shop.js',WPSHOP_URL . "/wp-shop.js");
add_filter('the_content', array(&$this,"ShowRecycleBin"));
add_action ('init', array(&$this,'init_locale'));


add_action ('admin_init', array(&$this,'add_meta_box'));
add_action('save_post', array(&$this,'savePost'));
}

/*
 * @since 3.2
 */
public function add_meta_box()
{
	if (function_exists('add_meta_box'))
	{
		add_meta_box('wp-shop-p-editing','WP-Shop',array(&$this,'metaBox'),'post','normal','high');
		//add_meta_box('wp-shop-p-editing','WP-Shop',array(&$this,'metaBox'),'page','normal','high');
	}
}

 




/**
 * During init WordPress function checks whether it is necessary to return wpshop yml file
 */
public function wpInitHook()
{
if (isset($_GET['wpshop_yml']))
{
global $wpdb;
ob_end_clean();
ob_start();
include "wpshop-yml.php";
echo ob_get_clean();
exit;
}
}

/**
 * Function processing content of page. It is checked as hook.
 * @param string $content
 * @return string
 */
public function goodPostHook($content)
{
if ($this->_showCost == 0)
{
	return $content;
}

global $post;


if ($this->_position == 'top')
{
//Uncomment if you want properties in wpshop_block
//return $this->GetGoodWidget($post,"",$this->_defaultWidgetColumns,null,true).$content;
return $this->GetGoodWidget($post,'wpshop_post_block').$content;
}
else
{
//Uncomment if you want properties in wpshop_block
//return $content.$this->GetGoodWidget($post,"",$this->_defaultWidgetColumns,null,true);
return $content.$this->GetGoodWidget($post);
}
}

/**
 * Hook for addition properties of good
 * @param string $content
 * @return string
 */
public function propertyHook($content)
{
global $post;
$properties_meta = get_post_meta($post->ID,'prop',true);
$return = '';
$return .= "<div id='wpshop_property_{$post->ID}'>";
if ($properties_meta != '')
{
$props = $this->parseProperty($properties_meta);
$return .= $this->getAdditionProperty($props);
}
$return .= '</div>';


$tmp = array();

//preg_match("/<!--wp-shop text_fied\[\'Текстовое поле\'\]-->/",$content,$tmp);
$content = preg_replace("/<!--wp-shop text_fied\[\'(.+)\'\]-->/U","<label class='wpshop-textfield' for='wpshop-wpfield'>$1</label><br /><textarea id='wpshop-wpfield' type='text' name='wpshop-wpfield'></textarea>",$content);




return str_replace('<!--wpshop_prop-->',$return,$content);
}

/**
 * Method parsing meta_value "prop"
 * @param string $property_meta that saving meta field "prop"
 * @return array width datas
 */
private function parseProperty($property_meta)
{
$return = array();
$properties_str = explode("\n",$property_meta);
$prop_count = count($properties_str);
for ($i = 0; $i < $prop_count; ++$i)
{
$z = &$return[];
$parse_property = explode(':',$properties_str[$i]);
$z['name'] = $parse_property[0];
$z['values'] = explode(',',$parse_property[1]);
}
return $return;
}

/**
 * Method returning addition list boxes saving addition properties of goods
 * @param array $properties that saving array with properties
 * @return string html for page
 */
private function getAdditionProperty($properties)
{
$return .= "<div class='wpshop_properties'><dl>";
$prop_count = count($properties);
for ($i = 0; $i < $prop_count; ++$i)
{
$values_count = count($properties[$i]['values']);
if (!empty($properties[$i]['name']) && $values_count > 0)
{
$return .= "<dt>{$properties[$i]['name']} ";
$return .= "<select name='{$properties[$i]['name']}'>";
for ($j = 0; $j < $values_count; $j++)
{
$value = $properties[$i]['values'][$j];
$return .= "<option value='{$value}'>{$value}</option>";
}
$return .= "</select></dt>";
}
}
$return .= '</dl></div>';
return $return;
}

function AutoChangingCallback($m)
{
return $this->GetGoodWidget(get_post($m[1]),'wpshop_buy_new',array('cost'=>true,'add'=>true),true);
}

function AutoChanging($content)
{
return preg_replace_callback("/<\!--wpshop id_(\d+)-->/",
array(&$this,'AutoChangingCallback')
,$content);
}

function init_locale()
{
$plugin_dir = basename(dirname(__FILE__));
load_plugin_textdomain('wpshop', '/wp-content/plugins/' . $plugin_dir . "/", $plugin_dir );
}

/**
 * Callback function for ShopWindow.
 *
 * @param array $params
 * @return string
 */
function VitrinaCallBack($params)
{
$col_count = $params[2];
$row_count = $params[4];
$count_simbols = $params[5];

if (empty($count_simbols)) $count_simbols = 150;

$posts_per_page = $row_count * $col_count;

$height = $params[3];

$result .= "<table width=100%>";

if (!isset($_GET['vpage'])) $_GET['vpage'] = 1;

$query = new WP_Query("tag={$params[1]}&showposts={$posts_per_page}&paged={$_GET['vpage']}");

$counter = 0;

while($query->have_posts())
{
$query->the_post();
$image = get_post_meta($query->post->ID,'pic',true);
$short_text = get_post_meta($query->post->ID,'short_text',true);
if (empty($short_text))
{
$short_text = "".mb_substr(strip_tags($query->post->post_content),0,$count_simbols)."...";
}
//$short_text = "".$query->post->post_content."";
$buy_block = $this->GetGoodWidget($query->post,null,array('name'=>true,'cost'=>true,'add'=>true),true);
$detail = "<a href='" . get_permalink( $query->post->ID ) . "'>Подробнее</a>";

if (($counter % $col_count) == 0) $result .= "<tr valign='top'>";

$result .= "<td style='padding:0px;width:260px;'>";
$result .= "<div class='vitrina_element' style='height:{$height}px;'>";
$result .= "<div class='vitrina_header'><a href='".get_permalink( $query->post->ID )."'>".$query->post->post_title."</a></div>";
$result .= "<div class='vitrina_image'>{$image}</div>";
$result .= "<div class='shopwindow_content'>{$short_text}</div>";
$result .= "<div class='vitrina_detail shopwindow_content' style='text-align:right'>{$detail}</div>";
$result .= "<div align='center' style='margin-top:20px;'>{$buy_block}</div>";
$result .= "</div>";
$result .= "</td>";

$counter++;
if (($counter % $col_count) == 0) $result .= "</tr>";
}
wp_reset_query();

$was = false;
while(($counter % $col_count) != 0)
{
$result .= "<td style='width:1%'></td>";
$was = true;
$counter++;
}
if ($was) $result .="</tr>";

$result .= "</table>";


if ($posts_per_page > 0 )
{
$pages = array();

for ($i = 0; $i < $query->found_posts/$posts_per_page; $i++)
{
if ($_GET['vpage'] == $i+1)
{
$pages[] = ($i+1);
}
else
{
$uri = $_SERVER["REQUEST_URI"];
if (strpos($uri,'?') === false)
{
$separate = "?";
}
else
{
$separate = "&";
}

if (strpos($uri,'vpage') === false)
{
$url = "{$uri}{$separate}vpage=".($i+1);
}
else
{
$url = preg_replace("/vpage=(\d+)/","vpage=".($i+1),$uri);
}

$pages[] = "<a href='{$url}'>".($i+1)."</a>";
}
}

$result .= "<div align='center'>" . join(' | ',$pages) . "</div>";
}
return $result;
}

function GetGoodWidget($post = null,$class="",Array $columns = array('name'=>true,'cost'=>true,'add'=>true),$visible = null,$properties = false/*Переменная временно не доступна, так как убрали свойсва из виджета и заменили хуком и поиском определенного поля в тексте.*/)
{
if ($post == null)
{
	global $post;
}
if ($visible == null)
{
$overtext = true;
$visible = $this->_show_variety;
}
else
{
$overtext = false;
}

$entries = array();
$cost = false;
$cost0 = array();
$name0 = array();
$goodsid0 = array();
$sklad0 = array();
$sklad = array();
$meta = get_post_custom($post->ID);
//Properties of good
//$meta_properties = '';

foreach ($meta as $key => $val)
{
/*Закоменченно, на случай, если придется вернуть доп поля в виджет */
/*
 if ($key == "prop")
 {
 $meta_properties = $val[0];
 }
 */
if ( preg_match('/^cost_(\d+)/i', $key, $m) )
{
if (!array_key_exists($m[1],$entries))
{
$entries[$m[1]] = new shopEntry();
}
$entries[$m[1]]->cost = $val[0];

$cost0[$m[1]] = $val[0];
}
if ( preg_match('/^name_(\d+)/i', $key, $m) )
{
if (!array_key_exists($m[1],$entries))
{
$entries[$m[1]] = new shopEntry();
}
$entries[$m[1]]->name = $val[0];
$name0[$m[1]] = $val[0];
}
if ( preg_match('/^goods_id_(\d+)/i', $key, $m) )
{
if (!array_key_exists($m[1],$entries))
{
$entries[$m[1]] = new shopEntry();
}
$entries[$m[1]]->goodsid = $val[0];
$goodsid0[$m[1]] = $val[0];
}
if ( preg_match('/^sklad_(\d+)/i', $key, $m) )
{
if (!array_key_exists($m[1],$entries))
{
$entries[$m[1]] = new shopEntry();
}
$entries[$m[1]]->sklad = $val[0];
$sklad0[$m[1]] = $val[0];
}
}

if (count($cost0)>0)
{
$cost = array();
$goodsid = array();
foreach ($cost0 as $key => $val)
{
$val = $name0[$key];
$cost[$val] = round($cost0[$key],2);
$goodsid[$val] = $goodsid0[$key];
if (isset($sklad0[$key]))
{
$sklad[$val] = $sklad0[$key];
}
}
asort($cost);
}
else
{
$cost = $cost ? array('' => $cost) : false;
}



if ($cost && (count($sklad) == 0 || array_sum($sklad) > 0))
{
asort($cost);
ob_start();

$only_cost = '';
if (count($cost) == 1)
{
$tmp = current(array_keys($cost));
$ctmp = current(array_values($cost));
$i = 1;
$add = "addtocart('{$post->ID}', '{$tmp}', '" . $post->post_title . "', '".get_permalink($post->ID)."', '{$ctmp}', 1," . (int)$goodsid[$tmp] . ",'{$i}'); return false;";

$only_cost = "onclick=\"javascript:{$add}\"";
}
?>
<div class="wpshop_bag <?php echo $class;?>"><?php if ($overtext) :?>
<div class="over_wpshop_buy">
<div class="wpshop_bag_img" style='float: left;'></div>
<?php if (!$visible) :?>
<div class='wpshop_price_from'>цена от: <?php echo current($cost) . ' ' . CURR;?></div>
<?php endif;?></div>
<?php endif;?>
<div class="wpshop_buy" <?php if (!$visible) :?> style="display: none;"
	<?php endif;?>>
<table cellpadding="5" cellspacing="0" border="0" width="100%">
	<?php
$i = 0;
foreach ($cost as $key => $val)
{
$i++;
if ($sklad[$key] == "" || $sklad[$key] > 0)
{
$add = "addtocart('{$post->ID}', '{$key}', '" . $post->post_title . "', '".get_permalink($post->ID)."', '{$cost[$key]}', 1," . (int)$goodsid[$key] . ",'{$i}'); return false;";
?>
	<tr>
		<?php if (isset($columns['name'])):?>
		<td class="wpshop_caption"><a style="cursor: pointer" href="#"
			onclick="javascript:<?php print $add; ?>;"
			style="font-weight:bold;"><?php print $key; ?></a></td>
		<?php endif;?>
		<?php if (isset($columns['cost'])):?>
		<td class="wpshop_price"><?php print ($val . ' ' .CURR); ?></td>
		<?php endif;?>
		<td class="wpshop_count"><input maxlength='3' type='text'
			value='1'
			name='goods_count_<?php echo  $post->ID . "_" . $i;?>'
			size='3' /></td>
		<td class="wpshop_button"><a href="#"
			onclick="javascript:<?php print $add; ?>" class="arrow_button"
			alt="Добавить" title="Заказать"></a></td>
	</tr>
	<?php
}
else
{
#нет товара в наличие
}
}
?>
</table>
</div>
</div>
<?php
$buy_block = ob_get_clean();
$buy_block = str_replace("\n","",$buy_block);
}
return $buy_block;
}

function Vitrina($content)
{
return preg_replace_callback('|<!--vitrina (\S+)\s*(\d+)\s*(\d+)\s*(\d*)\s*(\d*)-->|',array(&$this,'VitrinaCallBack'),$content);
}


function AdminMenu()
{
if (function_exists('add_submenu_page'))
{
add_management_page("WP Shop", "WP Shop",1,__FILE__,array(&$this,"SettingsPage"));
}
}

	function CreateAdminMenu()
	{
		add_action('admin_menu', array(&$this,'AdminMenu'));
	}

	function UpdateSettingsPage()
	{
		update_option("wpshop-linkfor",$_POST['linkfor']);
		update_option("wp-shop_cssfile",$_POST['cssfile']);
		update_option("wp-shop_cform",$_POST['cform']);
		update_option("wp-shop-window",$_POST['wp-shop-window']);
		update_option("wp-shop_show-variety",$_POST['show_variety']);
		update_option("wp-shop_position",$_POST['position']);
		if (isset($_POST['wp-shop_show-cost']))
		{
			update_option("wp-shop_show-cost",1);
		}
		else
		{
			update_option("wp-shop_show-cost",0);
		}


		$this->_linkfor = get_option('wpshop-linkfor');	
		$this->_css = get_option('wp-shop_cssfile');
		$this->_cform = get_option('wp-shop_cform');
		$this->_show_variety = get_option('wp-shop_show-variety');
		$this->_position = get_option('wp-shop_position');
		$this->_showCost = get_option('wp-shop_show-cost'); 
	}

function SettingsPage()
{
global $wpshop_ei;
if (isset($_POST['update_wpshop_settings']))
{
$this->UpdateSettingsPage();
}

if (isset($_POST['link_ie6']))
{
if (update_option("wp-shop-link_ie6",$_POST['link_ie6']) ===false)
{
add_option("wp-shop-link_ie6",$_POST['link_ie6']);
}
}

$link_ie6 = get_option('wp-shop-link_ie6');

$file_list = '';
$dir = WPSHOP_DIR . "/styles/";
if ($dh = opendir($dir))
{
while (($file = readdir($dh)) !== false)
{
if ($file != '.' AND $file != '..')
{
$current_file = "{$dir}{$file}";
if (is_file($current_file))
{
$selected = '';
if ($this->_css == $file)
{
$selected = " selected";
}
$file_list .= "<option value=\"{$file}\"$selected>{$file}</option>";
}
}
}
}

$cformsSettings = get_option('cforms_settings');
$FORMCOUNT=$cformsSettings['global']['cforms_formcount'];
$formlistbox = '<select name="cform" style="width:150px">';
$sel = '';

$f_order = "Заказ";

$count_cforms = 0;

for ($i = 1; $i <= $FORMCOUNT; $i++)
{
$j   = ( $i > 1 )?$i:'';
$fieldcount = $cformsSettings['form'.$j]['cforms'.$j.'_count_fields'];
for($k = 1; $k <= $fieldcount; ++$k)
{
$n_field = current(explode("|",current(explode("$#",$cformsSettings['form'.$j]['cforms'.$j.'_count_field_'.$k]))));
if (trim($n_field) == $f_order)
{
$n_form = $cformsSettings['form'.$j]['cforms'.$j.'_fname'];
if ($this->_cform == $n_form) $sel = " selected";
else $sel = '';
$formlistbox .= '<option '.$sel.'>'.$n_form.'</option>';
$count_cforms++;
continue;
}
}
}
$formlistbox .= '</select>';

$form = array('show_variaety');
$form['show_variaety'] = array('yes','no');



$checked_show_variety = '';
if ($this->_show_variety == 1)
{
$form['show_variaety']['yes'] = ' checked = "checked"';
}
else
{
$form['show_variaety']['no'] = ' checked = "checked"';
}





$postion_sel = array();
$postion_sel[$this->_position] = 'selected';

$position_select = "<select name='position' id='position'>
			<option value='top'{$postion_sel['top']}>Вверху</option>
			<option value='bottom'{$postion_sel['bottom']}>Внизу</option>
			</select>";


$showCostChecked = $this->_showCost == 1 ? " checked" : "";		
			
echo "<div class=\"wrap\">";
echo "<h2></h2>";
echo "<h2>".__("Settings of WP-Shop",'wpshop') . "</h2>";
echo "<form method=post>";
echo "";
echo "<input type=\"hidden\" name=\"update_wpshop_settings\" value=\"1\">";
echo "<table><tbody><tr><td valign='top'>";
echo "<div id=\"poststuff\"><div class=\"postbox\">
					<h3>Настройки:</h3>
					<div class=\"inside\">
						<table><tr><td>
						<label for=\"cssfile\">Выберите файл стилей</label> </td><td><select name=\"cssfile\" style=\"width:150px\">{$file_list}</select></td><td></td></tr>
						<tr>
						<td><label for=\"cform\">Доступные формы</label> </td><td>{$formlistbox}</td><td style=\"padding-left:10px\"><code>указаны формы имеющие поле '{$f_order}' (Сделайте поле '{$f_order}' скрытым!).</code></td>
						</tr>
						<tr>
						<td>
						  <label for=\"show_variety\">Вывод цен:</label>
						</td>
						<td colspan='2'>
						  <input type='radio' id='show_variety_yes' name='show_variety' value='1'{$form['show_variaety']['yes']}/>
						    <label for='show_variety_yes'>показываются постоянно</label><br/>
						  <input type='radio' id='show_variety_no' name='show_variety' value='0' {$form['show_variaety']['no']}/>
						    <label for='show_variety_no'>видны только при наведении курсора</label>
						</td>
						</tr>
						<tr>
						<td><label for=\"position\">Расположение блока цены:</label></td><td colspan='2'>{$position_select}</td>
						</tr>
						<tr>
						<td><label for=\"wp-shop_show-cost\">Отображать цену товара в записях и архивах:</label></td>
							<td colspan=\"2\"><input type=\"checkbox\" name=\"wp-shop_show-cost\" id=\"wp-shop_show-cost\"{$showCostChecked}/></td>
						</tr>
						</table>
					</div>
			      </div>
				  ";

$wpshop_ei->AdminForm();

$temp = get_option('wp-shop-window');
$shadow_checked = '';
$drag_checked = '';

if ($temp == '')
{
$temp = 'shadow';
update_option('wp-shop-window',$temp);
}

if ($temp == 'shadow')
{
$shadow_checked	= "checked";
}
else if ($temp == 'drag')
{
$drag_checked = "checked";
}


echo "<div id=\"poststuff\"><div class=\"postbox\">
					<h3>Идентификатор системы prodavator.ru (требуется для работы в расширенном режиме):</h3>
					<div class=\"inside\">
						<input type=\"text\" name=\"linkfor\" onblur=\"CheckInputBox(this);\" value=\"{$this->_linkfor}\" id=\"wp-shop_urlbox\"> <span id=\"wp_status_check_url\"></span>
						<div style=\"width:100%;padding-top:10px\">
						Внимание. Для использования локального режима должна быть указана форма от cforms II.
						<p>
						<input type=radio name=\"wp-shop-window\" value=\"shadow\" $shadow_checked> ShadowBox<br/>
						<input type=radio name=\"wp-shop-window\" value=\"drag\" $drag_checked> Всплывающее окно
						</p>
						</div>
					</div>
			      </div>
				  ";




echo "<input type=\"submit\" value=\"Сохранить\" class=\"button\">";
echo "</td><td valign=top style=\"width:300px;padding:0px 10px\">";
echo "<div id=\"poststuff\" class=\"metabox-holder\" style=\"padding:0px;\">
						<div id=\"side-sortables\" class=\"meta-box-sortabless ui-sortable\">
									<div id=\"sm_pnres\" class=\"postbox\">
<h3 class=\"hndle\"><span>Поддержите авторов плагина WP-Shop!</span></h3>
				<div class=\"inside\">

<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr><td><td width='300px' valign='top' style='font-weight: normal; font-size: 11px; font-family: Verdana;'><table cellpadding='0' cellspacing='0' border='0'><tr><td style=\"padding-bottom:5px;\"></td></tr><tr><td valign='top' align='left' style='padding: 5px 5px 5px;'><script src=\"http://213.141.134.191/adv/www/delivery/ajs.php?zoneid=61\"></script><p>Если наш плагин помог Вам в Вашей работе, поддержите авторов денежкой! С Вашей поддержкой мы сможем продолжать улучшать существующие плагины и делать новые.</p>
<p>Выберите Ваш вариант поддержки:</p>
					</td></tr><tr><td valign='middle' style='font-size: 14px; font-family: Verdana; font-weight: bold;' align='center'><table width=\"100%\" cellpadding=\"5\" cellspacing=\"0\" border=\"0\" style=\"font-size:90%;\">
					<tr id=\"ps_tab_1437\" valign=\"middle\"><td width=\"100%\" align=\"left\" style=\"padding-right:1em; padding-left:0.75em; border-top:1px dotted #999;\">скромно</td><td width=\"100%\" align=\"right\" style=\"border-top:1px dotted #999;\"><nobr><strong style=\"color:#b22222;\"><img style=\"vertical-align:middle;\" src=\"http://donate.wp-shop.ru/goodsblocks/img_price.php?goodsid=1437\"></strong>&nbsp;руб.</nobr></td><td align=\"left\" style=\"border-top:1px dotted #999;\"><form action='http://www.wp-shop.ru/payments/cpartners_payments.php' method='post' style='margin:0;'>
					<input type='hidden' name='partner' value='3'>
					<input type='hidden' name='goodsid' value='1437'>
					<input type='hidden' name='userid' value='2'>
					<input type='image' src='http://donate.wp-shop.ru/images/buy.gif' style='width: 72px; height: 22px;'>
					</form>
					</td></tr>
					<tr id=\"ps_tab_1438\" valign=\"middle\"><td width=\"100%\" align=\"left\" style=\"padding-right:1em; padding-left:0.75em; border-top:1px dotted #999;\">солидно</td><td width=\"100%\" align=\"right\" style=\"border-top:1px dotted #999;\"><nobr><strong style=\"color:#b22222;\"><img style=\"vertical-align:middle;\" src=\"http://donate.wp-shop.ru/goodsblocks/img_price.php?goodsid=1438\"></strong>&nbsp;руб.</nobr></td><td align=\"left\" style=\"border-top:1px dotted #999;\"><form action='http://www.wp-shop.ru/payments/cpartners_payments.php' method='post' style='margin:0;'>
					<input type='hidden' name='partner' value='3'>
					<input type='hidden' name='goodsid' value='1438'>
					<input type='hidden' name='userid' value='2'>
					<input type='image' src='http://donate.wp-shop.ru/images/buy.gif' style='width: 72px; height: 22px;'>
					</form>
					</td></tr>
					<tr id=\"ps_tab_1439\" valign=\"middle\"><td width=\"100%\" align=\"left\" style=\"padding-right:1em; padding-left:0.75em; border-top:1px dotted #999;\">V.I.P</td><td width=\"100%\" align=\"right\" style=\"border-top:1px dotted #999;\"><nobr><strong style=\"color:#b22222;\"><img style=\"vertical-align:middle;\" src=\"http://donate.wp-shop.ru/goodsblocks/img_price.php?goodsid=1439\"></strong>&nbsp;руб.</nobr></td><td align=\"left\" style=\"border-top:1px dotted #999;\"><form action='http://www.wp-shop.ru/payments/cpartners_payments.php' method='post' style='margin:0;'>
					<input type='hidden' name='partner' value='3'>
					<input type='hidden' name='goodsid' value='1439'>
					<input type='hidden' name='userid' value='2'>
					<input type='image' src='http://donate.wp-shop.ru/images/buy.gif' style='width: 72px; height: 22px;'>
					</form>
					</td></tr>
					</table><div style=\"font-weight:normal; text-align:left; margin:0; padding:0.5em 0 0; border-top:1px dotted #999;\">
								<!-- доп.инфо -->
								</div>
								</td></tr></table></td></td></tr></table>
										<hr>
					<ol>
					<li> <strong>Авторы плагина:</strong> Кузнецов Александр, Бобко Игорь</li>
					<li><strong>Сайт плагина:</strong> <a href=\"http://www.wp-shop.ru/\" target=\"_blank\">www.wp-shop.ru</a></li>
					<li><strong>email:</strong> <a href=\"mailto:wp.eshop@gmail.com\">wp.eshop@gmail.com</a></li>
					<li><strong>ICQ:</strong> 583-209-275</li>
					</ol>
			</div></div></div></div>";

echo "<div id=\"poststuff\" class=\"metabox-holder\" style=\"padding:0px;\">
						<div id=\"side-sortables\" class=\"meta-box-sortabless ui-sortable\">
									<div id=\"sm_pnres\" class=\"postbox\">
				<h3 class=\"hndle\"><span>Подсказки по плагину:</span></h3>
				<div class=\"inside\">
				<ol>
					<li>Метка для вставки 'корзины' в страницу или пост - <code>[cart]</code></li>
					<li>Метка для вставки 'корзины' в сайдбар - <code>[minicart]</code></li>
					<li>Код для отображения в сайдбаре картинки 'корзины' и ссылки на страницу 'корзины' - <code>&lt;a class='minicartimg' href='/cart_url'&gt;&lt;/a&gt;[minicart]</code> где <code>cart_url</code> - адрес страницы или поста, содержащего метку <code>[cart]</code></li>
					<li><a href=\"http://www.wp-shop.ru/dobavlenie-tovarnogo-kontenta/\" target=\"_blank\">Добавление товарного контента</a></li>
					<li><a href=\"http://www.wp-shop.ru/zagruzka-opisaniy-i-tsen-na-tovaryi/\" target=\"_blank\">Внесение описаний и цен на товар через доп.поля</a></li>
					<li><a href=\"http://www.wp-shop.ru/massovoe-obnovlenie/\" target=\"_blank\">Массовое обновление описаний и цен для товаров</a></li>
					<li><a href=\"http://www.wp-shop.ru/sozdanie-formyi-dlya-priema-dannyih-pokupatelya/\" target=\"_blank\">Редактирование формы для заполнения покупателем</a></li>
					<li><a href=\"http://www.wp-shop.ru/nastroyka-i-publikatsiya-prays-listov/\" target=\"_blank\">Вставка прайслиста в контент постов и страниц (по ID рубрик и по меткам)</a></li>
					<li><a href=\"http://www.wp-shop.ru/vstavka-korzinyi-v-zapis-stranitsu-saydbar/\" target=\"_blank\">Редактирование шапки корзины</a></li>
					<li><a href=\"http://www.wp-shop.ru/privyazka-k-kursam-valyut/\" target=\"_blank\">Привязка к курсам валют</a></li>
				</ol>
			</div></div></div>";
/*
 echo "<div id=\"poststuff\" class=\"metabox-holder\" style=\"padding:0px;\">
 <div id=\"side-sortables\" class=\"meta-box-sortabless ui-sortable\">
 <div id=\"sm_pnres\" class=\"postbox\">
 <h3 class=\"hndle\"><span>Чудо-кнопка:</span></h3>
 <div class=\"inside\">
 <script>
 jQuery(document).ready(function()
 {
 jQuery('#update_posts').bind('click',function()
 {
 jQuery.post('".WPSHOP_URL."/update_price.php','',function(data, textStatus)
 {
 if (textStatus == \"success\")
 {
 alert('Готово. Воcторжествовали прайсы, и возрадовался народ!');
 }
 });

 });
 });
 </script>
 Нажми и обнови посты. Да прибудет с тобой сила прайс-листа. И покажет он цены для странствующих по интернету и желающих расширить свои знания о мире. Да и не помешает им неверная информация, которую может послать нечесть.
 <input type=button value=\"Жми скорей.\" id=\"update_posts\">
 </div></div></div>";
 */

$opt_under_title = get_option('wpshop_price_under_title');

echo "<div id=\"poststuff\" class=\"metabox-holder\" style=\"padding:0px;\">
						<div id=\"side-sortables\" class=\"meta-box-sortabless ui-sortable\">
									<div id=\"sm_pnres\" class=\"postbox\">
				<h3 class=\"hndle\"><span>META-поле для вывода в прайс-листах</span></h3>
				<div class=\"inside\" id=\"price_option_window\">
				<script>
				jQuery(document).ready(function()
				{
						jQuery('#price_submit').bind('click',function()
						{
							jQuery.post('".WPSHOP_URL."/ajax_post.php',{act:'price_options',under_title:jQuery(\"[name='under_title']\").val()},function(data, textStatus)
							{
								if (textStatus == \"success\")
								{
								//	jQuery('#price_option_window').effect('highlight', {}, 'slow' );
									alert('Готово');
								}
							},'html');
					});
				});
				</script>
				<div><p>Здесь можно указать наименование дополнительного <code>post_meta</code>, которое Вы хотите показывать в прайслистах.</p></div>
				<br/>
				<input type=text name=\"under_title\" value=\"{$opt_under_title}\">
				<div class=\"submit\"><input id=\"price_submit\" type=button value=\"Сохранить\"></div>
			</div></div></div>";

$usd_cur = get_option('wp-shop-usd');
$eur_cur = get_option('wp-shop-eur');

echo "<div id=\"poststuff\" class=\"metabox-holder\" style=\"padding:0px;\">
						<div id=\"side-sortables\" class=\"meta-box-sortabless ui-sortable\">
									<div id=\"sm_pnres\" class=\"postbox\">
				<h3 class=\"hndle\"><span>Обновление по валюте.</span></h3>
				<div class=\"inside\">
				<script>
				jQuery(document).ready(function()
				{
						jQuery('#update_currency').bind('click',function()
						{
							jQuery.post('".WPSHOP_URL."/set_currency.php',{usd:jQuery(\"[name='usd']\").val(),eur:jQuery(\"[name='eur']\").val()},function(data, textStatus)
							{
								if (textStatus == \"success\")
								{
									alert('Готово');
								}
							});

						});
				});
				</script>
				<div>USD - <input type=input value=\"$usd_cur\" name=\"usd\"></div>
				<div>EUR - <input type=input value=\"$eur_cur\" name=\"eur\"></div><br/>
				<div><input type=button value=\"Обновить.\" id=\"update_currency\"></div>
			</div></div></div>";

echo "<form method = post><div id=\"poststuff\" class=\"metabox-holder\" style=\"padding:0px;\">
						<div id=\"side-sortables\" class=\"meta-box-sortabless ui-sortable\">
									<div id=\"sm_pnres\" class=\"postbox\">
				<h3 class=\"hndle\"><span>Линк для несчастных пользователей IE 6</span></h3>
				<div class=\"inside\">
				<div><input type=input value=\"{$link_ie6}\" name=\"link_ie6\" style=\"width:100%\"></div>
				<div><input type=submit value=\"Сохранить.\"></div>
			</div></div></div></form>";


echo "</td></tr></tbody></table>";
echo "</form>";
echo "<script>jQuery(document).ready(function(){CheckInputBox(document.getElementById('wp-shop_urlbox'));});</script>";
echo "</div>";
}

function ShowRecycleBin($content)
{
global $_datasenttocforms, $post;
$cart ="";

$cart .= "<script>";
$cart_col_name = get_post_meta($post->ID,'cart_col_name',true);
$cart_col_price = get_post_meta($post->ID,'cart_col_price',true);
$cart_col_count = get_post_meta($post->ID,'cart_col_count',true);
$cart_col_sum = get_post_meta($post->ID,'cart_col_sum',true);
$cart_col_type = get_post_meta($post->ID,'cart_col_type',true);


if (!empty($cart_col_name)) $cart .= " window.cart_col_name ='{$cart_col_name}';";
if (!empty($cart_col_price)) $cart .= " window.cart_col_price ='{$cart_col_price}';";
if (!empty($cart_col_count)) $cart .= " window.cart_col_count ='{$cart_col_count}';";
if (!empty($cart_col_sum)) $cart .= " window.cart_col_sum ='{$cart_col_sum}';";
if (!empty($cart_col_type)) $cart .= " window.cart_col_type ='{$cart_col_type}';";

$cart .= "</script>";
//$cart .= "<!--[if IE 6]><script>document.location = '" . get_option('wp-shop-link_ie6') . "';</script><![endif]-->";


$cart .= '<div id="'.CART_ID.'">' .  __('You need activate support of JavaScript and Cookies in your browser.') . '</div>';

if (getcoo('wpshop_order_count'))
{
$cart .= wpshop_order();
$cart .= js('document.getElementById("'.CART_ID.'").style.display = "none";', false);

if (getcoo('wpshop_refresh') == '1')
{
$content .= js('setcookie("wpshop_refresh", "0", 0, "/"); location.href=location.href;', false);
}
}

//Подсчет количества общей суммы
$temp = explode('}{',$_COOKIE['wpshop_cost']);
foreach(explode('}{',$_COOKIE['wpshop_num']) as $key=>$value)
{
$temp[$key] = $temp[$key] * $value;
}
$total =  array_sum($temp);
$minzakaz = get_post_meta($post->ID,'minzakaz',true);
$can_do = true;
if (!empty($minzakaz))
{
if ($total > 0 && $total < $minzakaz)
{
$can_do	= false;
}
}

ob_start();

#Опрделение скидки.
$discount = get_post_meta($post->ID,'discount',true);

$max_discount = 0;

if ($discount != '')
{

foreach(explode("\r\n",$discount) as $value)
{
$q = explode(":",$value);
if ($total > $q[0])
{
if ($max_discount < $q[1])
{
$max_discount = $q[1];
}

}
}
echo "<script>jQuery(document).ready(function(){
					window.__cart.discount = '" . str_replace("\r","",str_replace("\n",';',$discount)) . "';
					window.__cart.update();
				});</script>";
}


if ($total > 0)
{
if ($can_do)
{
if (get_option('wpshop-linkfor') != "" &&  get_option('wpshop-linkfor') != "xml-rpc" )
{
echo "<button class=\"order_show\" id=\"order_show\" onclick=\"window.__w.Forming();\">" . __('Оформить') . "&raquo;</button>";
echo "<div id=\"different_sellers\" style=\"background-color:white;\"></div>";
}
else
{
if (function_exists("insert_cform"))
{
$cform_name = get_option('wp-shop_cform');
if ($cform_name === false || $cform_name == "")
{
echo "<font color=red>Ошибка: Не установленна подходящая форма cforms II.</font>";
}
else
{
insert_cform(get_option('wp-shop_cform'));
if ($_datasenttocforms == true)
{
echo "<script>jQuery(document).ready(function(){
										window.__cart.reset();
									});</script>";
}
}
}
else
{
echo "<font color=red>Ошибка: Не установлен cforms II.</font>";
}
}
}
else
{
echo get_post_meta($post->ID,'minzakaz_info',true);
}
}

$cart .= ob_get_clean();
return str_replace(CART_TAG, $cart, $content);
}

function wpshop_install()
{
global $wpdb;

$table_name = $wpdb->prefix.'wpshop_orders';
if($wpdb->get_var("SHOW TABLES LIKE $table_name") != $table_name)
{
require_once(ABSPATH.'wp-admin/includes/upgrade.php');
dbDelta("
					CREATE TABLE `$table_name` (
						`order_id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT ,
						`order_date` DATETIME NOT NULL ,
						`fio` VARCHAR( 128 ) NOT NULL ,
						`company` VARCHAR( 128 ) NOT NULL ,
						`address` VARCHAR( 255 ) NOT NULL ,
						`phone` VARCHAR( 128 ) NOT NULL ,
						`eА` VARCHAR( 64 ) NOT NULL ,
						`icq` VARCHAR( 64 ) NOT NULL ,
						`comment` TEXT NOT NULL ,
						PRIMARY KEY ( `order_id` ) ,
						INDEX ( `order_date` )
					)"
);
}

$table_name = $wpdb->prefix.'wpshop_buy';
if($wpdb->get_var('SHOW TABLES LIKE $table_name') != $table_name)
{
require_once(ABSPATH.'wp-admin/includes/upgrade.php');
dbDelta("
					CREATE TABLE `$table_name` (
						`buy_id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT ,
						`order_id` BIGINT UNSIGNED NOT NULL ,
						`post_id` BIGINT UNSIGNED NOT NULL ,
						`name` VARCHAR( 255 ) NOT NULL ,
						`key` VARCHAR( 255 ) NOT NULL ,
						`cost` DECIMAL( 10, 2 ) NOT NULL ,
						`num` INT UNSIGNED NOT NULL ,
						PRIMARY KEY ( `buy_id` ) ,
						INDEX ( `order_id` )
					)"
);
}

add_option('wpshop_order_num', '0');
}

function wpshop_cart()
{
?>
<script type="text/javascript">
			var __cart = 0;
			var __w = 0;
			jQuery(document).ready(function()
			{
				if (window.Cart !== undefined)
				{
					window.__cart = new window.Cart("wpshop_minicart", "wpshop_cart");
				}
				if (window.wshop !== undefined)
				{
					window.__w =  new window.wshop('<?php echo $this->_linkfor;?>',window.__cart,'<?php echo get_option('wp-shop-window');?>');
				}
			});
			</script>
<?php
}

function PriceList($content)
{
return preg_replace_callback('|<!--wpshop pricelist\s*([\d,]*)-->|', create_function('$matches','
				global $post;
				$result = "";
				$cats = explode(",",$matches[1]);
				$result .= "<ul class=\"price_categories\">";
				foreach ($cats as $cat_ID)
				{
					$a_cat[$cat_ID] = get_categories(array("include"=>$cat_ID));
					$cat = $a_cat[$cat_ID][0];
					$result .= "<li><a href=\"#{$cat->slug}\">{$cat->name}</a></li>";
				}

				$resulkt .="</ul>";

				$thead = get_post_meta($post->ID,"thead",true);
				$r = array();
				preg_match_all("/(.+)=(.+)(\r\n)*/",$thead,$r,PREG_PATTERN_ORDER);

				$cols = array();

				foreach($r[0] as $key=>$temp)
				{
					$temp = explode("=",$temp);
					$cols[$key] = $temp;
				}


				foreach($cats as $cat_id)
				{
					$a_cat = get_categories(array("include"=> $cat_id));
					$cat = $a_cat[0];

					$result .= "<table width=100% class=\"price_table\">
					<tr class=\"_h\"><th colspan=". count($r) ."><h3><a name = \"{$cat->slug}\" href=\"{$cat->slug}\">{$cat->name}</a></h3></th></tr>";

					$result .= "<tr class=\"_h\">";
					foreach($cols as $row)
					{
						$result .= "<th>" . trim($row[1]) ."</th>";
					}
					$result .="</tr>";

					$my_query = new WP_Query("cat={$cat_id}&page_id != 599");
					if ($my_query->have_posts())
					{
						while ($my_query->have_posts())
						{
							$my_query->the_post();
							$p = $my_query->post;
							$cost_1 = get_post_meta($p->ID,"cost_1",true);
							$cost_2 = get_post_meta($p->ID,"cost_2",true);
							$cost_3 = get_post_meta($p->ID,"cost_3",true);
							$permalink = get_permalink($p->ID);
							if (++$i%2) $tr_class="odd";
							else $tr_class="even";

							//$result .= "<tr class=\"{$tr_class}\"><td class=\"title\"><a href=\"{$permalink}\">{$p->post_title}</a></td><td class=\"cost individual\">{$cost_1}</td><td class=\"dlit\">{$cost_2}</td><td class=\"cost evening weekend\">{$cost_3}</td></tr>";

							$result .= "<tr class=\"{$tr_class}\">";
							foreach($cols as $row)
							{
								if (trim($row[0]) == "title")
								{

									$t = "<a href=\"{$permalink}\">{$p->post_title}</a>";
								}
								else
								{
									$t = get_post_meta($p->ID,trim($row[0]),true);
								}
								if ($t == "") $t = "-";
								$result .= "<td>$t</td>";
							}
							$result .="</tr>";
						}
					}
					wp_reset_query();
					$result .="</table>";
				}
				return $result;
			')
,$content);
}
function PLReplace($matches)
{
global $post;
$categories = explode(",",$matches[1]);
$result = "";
$result .= "<ul class=\"price_categories\">";
$cats = array();
foreach ($categories as $cat_ID)
{
$cat = get_category($cat_ID);
$result .= "<li><a href=\"#{$cat->slug}\">{$cat->name}</a></li>";
$cats[] = $cat;
}
$result .="</ul>";

$meta_under_title = get_option('wpshop_price_under_title');

foreach($cats as $cat)
{
$my_query = new WP_Query("cat={$cat->term_id}&orderby=date&order=desc&posts_per_page=-1&page_id != {$post->ID}");

if (!$my_query->have_posts()) continue;

$result .= "<table class=\"price_table\" cellpadding=\"3\" cellspacing=\"0\" border=\"0\">";
$result .= "<tr class=\"h\"><th colspan=\"3\"><h3><a name=\"{$cat->slug}\">{$cat->name}</a></h3></th></tr>";
preg_match_all("/(.+)(\r\n|<br \/>)*/",get_post_meta($post->ID,"thead",true),$r,PREG_PATTERN_ORDER);

$result .= "<tr class=\"_h\">";
foreach($r[0] as $key=>$temp)
{
$result .="<th>{$temp}</th>";
}
$result .="</tr>";

while ($my_query->have_posts())
{
$my_query->the_post();
$p = $my_query->post;

if (!get_post_meta($p->ID,"cost_1",true))continue;

#Пропускаем запись, если все склады равны нулю.
$all_sklad = 0;
$post_custom = get_post_custom($p->ID);
$is_sklad == false;
foreach($post_custom as $key => $value)
{
if (strpos($key,"sklad_") !== false)
{
$all_sklad += current($value);
$is_sklad = true;
}
}
if ($all_sklad == 0 && $is_sklad) continue;


if ($i++ % 2) $class="odd"; else $class="even";
$result .= "<tr class=\"{$class}\" valign=\"top\">";

if (!empty($meta_under_title))
{
$under_title = get_post_meta($p->ID,$meta_under_title,true);
}
else
{
$under_title = '';
}

$result .= "<td class=\"title\"><a href=\"".get_permalink($p->ID)."\">{$p->post_title}</a><div>{$under_title}</div></td>";
$result .= "<td class='wpshop_table_td'>".$this->GetGoodWidget($p,null,array('name'=>true,'cost'=>true,'add'=>true),true)."</td>";
$result .= "</tr>";
}
wp_reset_query();
$result .="</table>";
}
return $result;
}

function PriceList1($content)
{
return preg_replace_callback('|<!--wpshop pricelist\s*([\d,]*)-->|', array(&$this,'PLReplace'),$content);
}
function PriceInfo($matches)
{
global $post;
$meta_under_title = get_option('wpshop_price_under_title');
$my_query = new WP_Query(array("tag"=>$matches[1],"posts_per_page"=>"-1"));
$result .= "<table class=\"price_table\" cellpadding=\"3\" cellspacing=\"0\" border=\"0\">";
$pos = $my_query->get_posts();
wp_reset_query();

preg_match_all("/(.+)(\r\n|<br \/>)*/",get_post_meta($post->ID,"thead",true),$r,PREG_PATTERN_ORDER);
$result .= "<tr class=\"_h\">";
foreach($r[0] as $key=>$temp)
{
$result .="<th>{$temp}</th>";
}
$result .="</tr>";


foreach($pos as $p)
{
if (!get_post_meta($p->ID,"cost_1",true))continue;

#Пропускаем запись, если все склады равны нулю.
$all_sklad = 0;
$is_sklad = false;
$post_custom = get_post_custom($p->ID);
foreach($post_custom as $key => $value)
{
if (strpos($key,"sklad_") !== false)
{
$all_sklad += current($value);
$is_sklad = true;
}
}
if ($all_sklad == 0 && $is_sklad) continue;

if ($i++ % 2) $class="odd"; else $class="even";


if (!empty($meta_under_title))
{
$under_title = get_post_meta($p->ID,$meta_under_title,true);
}
else
{
$under_title = '';
}

$result .= "<tr class=\"{$class}\" valign=\"top\">";
$result .= "<td width=50% class=\"title\"><a href=\"".get_permalink($p->ID)."\">{$p->post_title}</a><div>{$under_title}</div></td>";
$result .= "<td class='wpshop_table_td'>".$this->GetGoodWidget($p,null,array('name'=>true,'cost'=>true,'add'=>true),true)."</td>";
$result .= "</tr>";
}
$result .="</table>";
return $result;
}

function PriceInfo1($content)
{
return preg_replace_callback('|<!--wpshop price_tag\s*([\S,]*)-->|', array(&$this,'PriceInfo'),$content);
}

/**
 * Destructor
 */
public function __destruct()
{

}

public function savePost($postID)
{
	global $post;
	$postID = $post->ID;
	
	if ( !wp_verify_nonce( $_POST['wp-shop_noncename'], plugin_basename(__FILE__) ))
	{
		return $postID;
	}
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
		return $postID;
	
	// Check permissions
	if ( 'page' == $_POST['post_type'] )
	{
    	if ( !current_user_can( 'edit_page', $postID ) )
    	{
			return $postID;
    	}
	}
	else
	{
		if ( !current_user_can( 'edit_post', $postID ) )
		{
			return $postID;
		}
	}

	// OK, we're authenticated: we need to find and save the data
  
	delete_post_meta($postID,"_wp-shop_text_property_value");
	add_post_meta($postID,"_wp-shop_text_property_value",$_POST['_wp-shop_text_property_value']);


}

public function metaBox()
{
	global $post;	
	wp_nonce_field( plugin_basename(__FILE__), 'wp-shop_noncename' );
	
	$text_property_value = get_post_meta($post->ID,'_wp-shop_text_property_value',true);

	
	
?>

<!--table border='0'>
	<tr>
		<td>Дополнительное текстовое поле</td>
		<td>
			<input type='text' name='_wp-shop_text_property_value' value='<?php echo $text_property_value;?>'>
			<code>&lt;!--wp-shop text  --&gt;</code>
		</td>
	</tr>
</table-->
<?php 	}
}



$GLOBALS['wpshop_obj'] = new WpShop();
$GLOBALS['wpshop_obj']->CreateAdminMenu();

}
wpshop_general();

function my_cforms_filter($POSTdata)
{
global $_datasenttocforms;
$_datasenttocforms = true;
$keys = explode("}{",$_COOKIE['wpshop_key']);
$names = explode("}{",$_COOKIE['wpshop_name']);
$costes = explode("}{",$_COOKIE['wpshop_cost']);
$nums = explode("}{",$_COOKIE['wpshop_num']);
$discount = $_COOKIE['wpshop_discount'];
$sum = 0;


if (get_option('wpshop-linkfor') == "xml-rpc")
{
$allInfo = array();
$j=0;
foreach($names as $key => $value)
{
$allInfo['offers'][$j]['name'] = $value;
$allInfo['offers'][$j]['price'] = $costes[$key];
$allInfo['offers'][$j]['quant'] = '';//$res[$j]['quant'];
$allInfo['offers'][$j]['partnumber'] = $nums[$key];
$allInfo['offers'][$j]['color'] = '';
$allInfo['offers'][$j]['size'] = '';
$j++;
}

require_once('xml-rpc/xmlrpc.inc.php');
// send data

$temp = array();

$cformsSettings = get_option('cforms_settings');
$FORMCOUNT=$cformsSettings['global']['cforms_formcount'];

for ($i = 1; $i <= $FORMCOUNT; $i++)
{
$j   = ( $i > 1 )?$i:'';

$form = &$cformsSettings['form'.$j];

$fieldcount = $form['cforms'.$j.'_count_fields'];


for($k = 1; $k <= $fieldcount; ++$k)
{
$field = explode("$#",$form['cforms'.$j.'_count_field_'.$k]);
if ($field[1] == '$hidden')
{
$f = explode('|',$field[0]);
if ($f[1] != '')
{
$temp[trim($f[1])] = trim($f[0]);
}
}
}

for($k = 1; $k <= $fieldcount; ++$k)
{
$n_field = current(explode("|",current(explode("$#",$form['cforms'.$j.'_count_field_'.$k]))));

if (isset($POSTdata["cf{$i}_field_{$k}"]) && isset($temp[trim($n_field)]))
{
$allInfo['info'][$temp[$n_field]] = $POSTdata["cf{$i}_field_{$k}"];
}
}
}
$allInfo['info']['ip'] = $_SERVER['REMOTE_ADDR'];
$allInfo['info']['discount'] = 0;
$allInfo['info']['disc'] = 0;
$allInfo['info']['PID'] = 1182;


$raw = xmlrpcEncodeRequest("SaveOrder::save",
array($PPassword, $PID, $user, serialize($allInfo), 1,
$traffic));
$fp = fopen(dirname(__FILE__).'/order.txt','w+');
fwrite($fp,$raw);
fclose($fp);

require_once('xml-rpc/lib.php');
$response = request_srv("www.goodbody.ru", 80, $raw);

}


$final = "<table style=\"border: solid 1px #DDDDDD\">";
$color = '';
foreach($names as $key => $value)
{
if ($key % 2) $color = "#DDDDDD";
else $color = "white";
$total =  $costes[$key] * $nums[$key];
$count = $key+1;
$final .= "<tr bgcolor=$color><td>{$count}</td><td>$value ({$keys[$key]})</td><td>{$costes[$key]}</td><td>{$nums[$key]}</td><td>{$total}</td></tr>";
$sum += $costes[$key] * $nums[$key];
}
$final .= "<tr><td colspan=5 align=right>Итого: $sum</td></tr>";
if (!empty($discount))
{
$final	.="<tr><td colspan=5 align=right>Со скидкой {$discount}%: " . round((100-$discount)*$sum/100,2) ."</td></tr>";
}
$final .= "</table>";


$cformsSettings = get_option('cforms_settings');
$FORMCOUNT=$cformsSettings['global']['cforms_formcount'];

$f_order = "Заказ";
$f_order_field = "%d0%97%d0%b0%d0%ba%d0%b0%d0%b7";

if (!array_key_exists($f_order_field,$POSTdata))
{
for ($i = 1; $i <= $FORMCOUNT; $i++)
{
$j   = ( $i > 1 )?$i:'';
$fieldcount = $cformsSettings['form'.$j]['cforms'.$j.'_count_fields'];
for($k = 1; $k <= $fieldcount; ++$k)
{
$n_field = current(explode("|",current(explode("$#",$cformsSettings['form'.$j]['cforms'.$j.'_count_field_'.$k]))));

if (trim($n_field) == $f_order)
{
$n_form = $cformsSettings['form'.$j]['cforms'.$j.'_fname'];
$f_order_field = 'cf'.$j.'_field_'.$k;
break;
}
}
}
}
$POSTdata[$f_order_field] .= $final;
return $POSTdata;
}
?>